;;;; posix-utils-test.scm  -*- Hen -*-

(use test)
(use posix)
(use posix-utils)

(test-group "EnvVars"
  (setenv "FOO" "yes")
  (setenv "BAR" "")
  (setenv "BAZ" "not on your life")
  (test-assert (environment-variable-bound? "FOO"))
  (test-assert (not (environment-variable-bound? "BAR")))
  (test-assert (environment-variable-true? "FOO"))
  (test-assert (not (environment-variable-true? "BAR")))
  (test-assert (not (environment-variable-true? "BAZ"))) )

(unless (zero? (test-failure-count)) (exit 1))
